#
# spec file for package arm-trusted-firmware-fastboot-hikey
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global debug_build 1
Name:           arm-trusted-firmware-fastboot-hikey
Version:        1.1~20180308T220307~af5ddb1
Release:        1.70
Summary:        Firmware required to run the HiKey
Url:            https://github.com/96boards-hikey/atf-fastboot
License:        BSD-3-Clause
Group:          System/Boot
Source0:        atf-fastboot-%{version}.tar.xz
#!BuildIgnore: gcc-PIE
BuildRequires:  git
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
ExclusiveArch:  aarch64 noarch

%description
Firmware required to run the HiKey

%prep
%setup -q -n atf-fastboot-%{version}

%build
make %{?_smp_mflags} BUILD_STRING=%{version} PLAT=hikey DEBUG=%{debug_build} all

%install
export NO_BRP_STRIP_DEBUG=true
export NO_DEBUGINFO_STRIP_DEBUG=true
%if %{debug_build}
%global dir debug
%else
%global dir release
%endif
install -D -m 0644 build/hikey/%{dir}/bl1.bin %{buildroot}/boot/fastboot.bin

%files
%doc license.md
%defattr(-,root,root)
/boot/fastboot.bin

%changelog
* Thu May 31 2018 afaerber@suse.de
- Update to latest Git branch
  * Rename tarball to atf-fastboot
- Cleanups
* Sun Feb 11 2018 afaerber@suse.de
- Update to latest Git branch
* Sun Jan 21 2018 afaerber@suse.de
- Suppress PIE and debuginfo.
* Sun Jan  7 2018 afaerber@suse.de
- Initial
